package cz.muni.fi.lasaris.sbms.api.response;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Set;
import java.util.TreeSet;

import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;

import cz.muni.fi.lasaris.sbms.api.entities.DataPoint;

@XmlRootElement
@JsonInclude(JsonInclude.Include.NON_NULL)
public class DataPointsResponse {
	
	private Map<String, List<DataPoint>> dataPoints;
	
	private String error;
	
	public String getError() {
		return error;
	}

	public void setError(String error) {
		this.error = error;
	}

	public Map<String,List<DataPoint>> getDataPoints() {
		return dataPoints;
	}

	/*
	public void setDataPoints(Map<String,List<DataPoint>> dataPoints) {
		this.dataPoints = dataPoints;
	}
	*/
	public Set<String> getGroups() {
		return new TreeSet<String>(dataPoints.keySet());
	}
	/*
	public void setGroups(Set<String> groups) {
		this.groups = groups;
	}
	*/
	
	public DataPointsResponse() {
		dataPoints = new HashMap<String,List<DataPoint>>();
	}

}
